/* HTML, BODY

body {
  background:
    repeating-linear-gradient(180deg, transparent 0 19px, var(--clrb2) 19px 20px),
    linear-gradient(90deg, transparent 0 800px, var(--clrb2) 800px 801px, transparent 801px 1600px);
  background-size: 1600px 1000px;
} */

html {
  scrollbar-width: auto;
}

body::-webkit-scrollbar {
  display: auto;
}





/* MAIN, HEADER, SECTION, FOOTER */

main,
header,
section,
footer {
  width: 54rem;
}

main {
  margin: 0 0 0 50vw;
}

header,
section,
footer {
  grid-template-columns: 54rem;
  grid-template-rows: auto;
}

header {
  padding: 32rem 0 8rem 0; /* t16 b4 */
}

section {
  padding: 2rem 0 8rem 0; /* t1 b4 */
}

footer {
  contain-intrinsic-size: 32rem; /* 16 */
  height: 32rem; /* 16 */
  padding: 22rem 0 4rem 0; /* 11-3-2 */
}





/* TEXT */

h1 {
  font-size: 2.4rem;
  line-height: 3rem;
  margin: -.375rem 0 -.625rem 0;
}

h3, h4, h5, h6, p {
  font-size: 1.4rem;
  line-height: 2rem;
  margin: .49rem 0 -.49rem 0;
}

h4 {
  color: var(--clr38);
  padding: 2rem 0 0 0; /* t1 */
}

h5 {
  color: var(--clr62);
}

h2 > span,
h4 > span,
span.w1 {
  width: 12rem;
  margin-left: -12rem;
}

h5 > span,
span.w2 {
  width: 10.8rem;
  margin-left: -10.8rem;
}

p:has(em) {
  color: var(--clrb7);
}

span {
  color: inherit;
  font-size: 1.2rem;
  line-height: 1.2rem;
  -webkit-font-feature-settings: "calt" 1, "liga" 1, "tnum" 1;
     -moz-font-feature-settings: "calt" 1, "liga" 1, "tnum" 1;
      -ms-font-feature-settings: "calt" 1, "liga" 1, "tnum" 1;
          font-feature-settings: "calt" 1, "liga" 1, "tnum" 1;

  width: 9.6rem;
  margin-left: -9.6rem;
}

.pb { padding-bottom: 2rem; }
.pt { padding-top: 2rem; }





/* NAVIGATION */

nav {
  color: var(--clr38);
}

nav:focus,
nav:hover {
  color: var(--clr15);
}





/* IPHONE */

@media all and (max-width: 960px) { /*
  body { 
    background: repeating-linear-gradient(180deg, transparent 0 4.9vw, var(--clrb2) 4.9vw 5vw);
    background-size: 100vw 100vw;
  } */

  main,
  nav,
  header,
  section,
  footer {
    width: 90vw;
  }

  main {
    margin: 0 5vw 0 5vw;
  }

  header,
  section,
  footer {
    grid-template-columns: 115vw;
  }

  header {
    padding: 0;
  }

  section {
    padding: 5vw 0 20vw 0;
  }
  
  footer {
    contain-intrinsic-size: 35vw;
    height: 35vw;
    padding: 15vw 0 5vw 0;
  }





  footer > p,
  p:has(em) {
    margin-left: 0;
    text-indent: 0;
  }

  h1 {
    font-size: 4.5vw;
    line-height: 5vw;
    margin: 0.84vw 0 -0.84vw 0;
  }

  h2, h3, h4, h5, h6, li, p, footer > p {
    font-size: 3vw;
    line-height: 5vw;
    margin: 1.41vw 0 -1.41vw 0;
  }

  h2, h3, h4, h5, h6, p {
    margin-left: 15vw;
    text-indent: -15vw;
  }

  h4 {
    color: var(--clr38);
    padding-top: 5vw;
  }
  
  h5 {
    color: var(--clr62);
  }

  li {
    height: 5vw;
    padding: 0;
  }

  span,
  h2 > span,
  h4 > span,
  h5 > span,
  span.w1,
  span.w2 {
    width: 15vw;
    margin-left: 0;
    font-size: 3vw;
    line-height: 3vw;
    text-indent: 0;
  }

  nav.n1 {
    display: none;
  }
  
  nav.n2 {
    position: relative;
    bottom: auto;
    left: auto;
    padding: 5vw 0 40vw 0;
  }

  .pb { padding-bottom: 5vw; }
  .pt { padding-top: 5vw; }
}
